[PATCH 8/8] tests: add usage() to run-all.sh

Ilan Peer ilan.peer
Sun Oct 26 00:06:35 PDT 2014


Signed-off-by: Ilan Peer <ilan.peer at intel.com>
---
 tests/hwsim/run-all.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/tests/hwsim/run-all.sh b/tests/hwsim/run-all.sh
index 85727fc..3faaa7a 100755
--- a/tests/hwsim/run-all.sh
+++ b/tests/hwsim/run-all.sh
@@ -24,6 +24,13 @@ else
     fi
 fi
 
+usage(){
+	echo "$0 [-v | --valgrind] [-t | --trace]"
+	echo "\t[-n <num> | --channels <num> ] [-b | --build]"
+	echo "\t[-c | --codecov ] [-l | --modules-file]"
+	exit 1
+}
+
 unset VALGRIND
 unset TRACE
 unset TRACE_ARGS
@@ -60,7 +67,7 @@ while [ "$1" != "" ]; do
 			MODULES_ARGS="-l $1"
 			shift
 			;;
-		* ) exit 1
+		* ) usage
 	esac
 done
 
-- 
1.8.3.2




More information about the Hostap mailing list